Bug 5320 - Control the number of active IM MADs
: Control the number of active IM MADs
Status: CLOSED FIXED
: Gridway
Campaign
: unspecified
: All All
: P3 blocker
: ---
Assigned To:
:
:
:
: 5251
  Show dependency treegraph
 
Reported: 2007-05-22 06:54 by
Modified: 2007-06-06 07:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-22 06:54:25
PURPOSE:
--------

Control the number of active IM MADs, since they can overload the system if
there are many hosts to monitor.

DETAILS:
--------

The number of active IM MADs will be kept to a (soft) limit. Every time a
discovery or monitoring process starts, the number of active IM MADs will be
increased, and every time a discovery or monitoring process ends, this number
will be decreased. No new monitoring actions will be started if this number
exceeds the maximum. This does not apply to discovery actions, since only one
is periodically performed per IM MAD and we don't expect a high number of IM
MADs.

DELIVERABLES:
-------------

1. New parameter MAX_ACTIVE_IM_MADS in gwd.conf.
2. Modified discovery and monitoring process.

ESTIMATED TIME:
---------------

10 hours.
------- Comment #1 From 2007-05-25 07:54:14 -------
Changes committed to CVS (FALCATA branch).
------- Comment #2 From 2007-05-28 06:19:44 -------
Actually, it is not the number of active IM MADs, but the number of processes
spawned by IM MADs (one process per outstanding query).
------- Comment #3 From 2007-06-06 07:18:27 -------
New parameter MAX_ACTIVE_IM_QUERIES in gwd.conf.